Skip to main content
PUT
/
model-monitor
/
v2
/
api
/
model
/
{model_id}
/
collaborators
Update collaborator role
curl --request PUT \
  --url https://api.example.com/model-monitor/v2/api/model/{model_id}/collaborators \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "collaboratorId": "<string>"
}
'
[
  {
    "userId": "<string>",
    "username": "<string>",
    "email": "<string>",
    "name": "<string>"
  }
]

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

model_id
string
required

Body

application/json

Request to add or modify a model collaborator

collaboratorId
string
required
collaboratorLevel
enum<string>
required

type of collaborator

Available options:
editor,
viewer

Response

Successfully updated a model collaborator.

userId
string
required

user id of the collaborator

collaboratorLevel
enum<string>
required

type of collaborator

Available options:
editor,
viewer
username
string

Username of the user

email
string | null

Email of the user

name
string

Name of the user